window.Gleam.initSearch([{"doc":"gleam_elli","title":"gleam_elli","content":"# Elli\n\nA basic Gleam HTTP service adapter for the Elli web server.\n\n```\ngleam add gleam_elli gleam_http\n```\n```gleam\nimport gleam/http/elli\nimport gleam/http/request.{type Request}\nimport gleam/http/response.{type Response}\nimport gleam/bytes_builder.{type BytesBuilder}\n\n// Define a HTTP service\n//\npub fn my_service(req: Request(t)) -&gt; Response(BytesBuilder) {\n  let body = bytes_builder.from_string(&quot;Hello, world!&quot;)\n\n  response.new(200)\n  |&gt; response.prepend_header(&quot;made-with&quot;, &quot;Gleam&quot;)\n  |&gt; response.set_body(body)\n}\n\n// Start it on port 3000!\n//\npub fn main() {\n  elli.become(my_service, on_port: 3000)\n}\n```\n","url":"index.html"},{"doc":"gleam/http/elli","title":"become","content":"pub fn become(\n  service: fn(Request(BitArray)) -&gt; Response(BytesTree),\n  on_port number: Int,\n) -&gt; Result(Nil, Dynamic)\n Start an Elli web server with the current process.\n\n This function returns if the Elli web server fails to start or if it was\n shut down after successfully starting.\n\nSynonyms:\ngleam/http/elli.become\ngleam/http/elli become","url":"gleam/http/elli.html#become"},{"doc":"gleam/http/elli","title":"start","content":"pub fn start(\n  service: fn(Request(BitArray)) -&gt; Response(BytesTree),\n  on_port number: Int,\n) -&gt; Result(Pid, Dynamic)\n Start a new Elli web server process which runs concurrently to the current\n process.\n\n If you want to run the web server but don&#39;t need to do anything else with\n the current process you may want to use the `become` function instead.\n\nSynonyms:\ngleam/http/elli.start\ngleam/http/elli start","url":"gleam/http/elli.html#start"},{"doc":"gleam/http/elli","title":"gleam/http/elli","content":"","url":"gleam/http/elli.html"}]);